%define lib_major 0
%define lib_name %mklibname planner-1_ %{lib_major}
%define build_gda 0
%define title Planner
%define longtitle Project management tool
%define Summary Planner is a project management application for GNOME

Summary: 	%Summary
Name: 		planner
Version:	0.14
Release:	%mkrel 5
License: 	GPL
Group: 		Office
Url:		http://planner.imendio.org/

Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/planner/%{name}-%{version}.tar.bz2

Patch: planner-0.14-mime.patch.bz2
Patch1:		planner-0.13-evolution.patch.bz2
Patch2:		planner-gda.patch.bz2
Patch3:		planner-i18n.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgsf-devel
BuildRequires:	libgnomeprintui-devel >= 2.2
BuildRequires:	libgnomeui2-devel
BuildRequires:	libxslt-devel
BuildRequires:	perl-XML-Parser
%if %{build_gda}
BuildRequires:	gda2.0-devel
%endif
BuildRequires:	scrollkeeper >= 0.3 python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gtk-doc
BuildRequires:	evolution-devel
BuildRequires:	intltool
BuildRequires:	evolution-data-server-devel
BuildRequires:	mono-devel
Requires:	scrollkeeper >= 0.3
Obsoletes:	mrproject
Provides:	mrproject = %{version}-%{release}

Requires(post): desktop-file-utils shared-mime-info scrollkeeper
Requires(postun): desktop-file-utils shared-mime-info scrollkeeper

%description
Planner is a project management application for GNOME.

It was formely known as MrProject.

%package	python
Summary:	Python binding for Planner library
Group:		Development/GNOME and GTK+

%description	python
Python binding for Planner library

%package -n	%{lib_name}
Summary:	%{Summary}
Group:		System/Libraries

%description -n	%{lib_name}
A support library for accessing Planner data.
 
%package -n	%{lib_name}-devel
Summary:	The files needed for Planner application development
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-1-devel

%description -n	%{lib_name}-devel
This package contains the necessary include files
for developing applications that access Planner data.

%if %{build_gda}

%package	database
Summary:        Planner database support
Group:          Office
Requires:       %{name} = %{version}-%{release}
 
%description	database
Database support for Planner, this plugin can be used to store projects
in a PostgreSQL database.

%endif

%package        evolution
Summary:        Planner evolution support
Group:          Office
Requires:       %{name} = %{version}-%{release}

%description    evolution
Evolution support for Planner, this plugin can be used with evolution.
 

%prep
%setup -q
%patch -p1 -b .mime
%patch1 -p1 -b .evolution
%if %{build_gda}
%patch2 -b .gda
%endif
%patch3

aclocal
automake -f -i
autoconf

%build

%configure2_5x --enable-gtk-doc --enable-python --enable-python-plugin --enable-eds --enable-eds-backend --disable-update-mimedb

	%if %{build_gda}
		--enable-database=yes
	%endif

# FIXME: pygtk-codegen-2.0 creates code, which breaks strict aliasing
sed -i 's/^CFLAGS =/& -fno-strict-aliasing/' python/Makefile.in

make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name} 
Icon=gnome-%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;Development;ProjectManagement;X-MandrivaLinux-Office-TasksManagement;
EOF

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/planner/views/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/plugins/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/file-modules/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/storage-modules/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/*.la \
   $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-1.2/extensions/*.la \
   $RPM_BUILD_ROOT%{_libdir}/evolution/2.4/plugins/*.la \
   $RPM_BUILD_ROOT%{_datadir}/doc/planner \
   $RPM_BUILD_ROOT%{_datadir}/mime/{globs,XMLnamespaces,application,magic,aliases,subclasses}

%post
%update_scrollkeeper
%{update_desktop_database}
%update_mime_database
%post_install_gconf_schemas planner
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas planner

%postun
%clean_scrollkeeper
%{clean_desktop_database}
%clean_mime_database
%clean_icon_cache hicolor


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README examples/sample-1.planner
%{_sysconfdir}/gconf/schemas/planner.schemas
%{_bindir}/%{name}
%dir %{_libdir}/planner
%dir %{_libdir}/planner/plugins
#%{_libdir}/planner/libgantt-task.so
%{_libdir}/planner/file-modules
%{_libdir}/planner/plugins/libhtml-plugin.so
%{_libdir}/planner/plugins/libxmlplanner-plugin.so
%{_libdir}/planner/plugins/libmsp-plugin.so
%{_libdir}/planner/storage-modules/libstorage-mrproject-1.so
%{_datadir}/applications/*
%dir %{_datadir}/planner
%dir %{_datadir}/planner/glade
%{_datadir}/planner/glade/*-*.glade
%{_datadir}/planner/glade/eds.glade
%{_datadir}/planner/glade/sql.glade
%dir %{_datadir}/planner/ui
%{_datadir}/planner/ui/eds-plugin.ui
%{_datadir}/planner/ui/gantt-view.ui
%{_datadir}/planner/ui/resource-view.ui
%{_datadir}/planner/ui/time-table-view.ui
%{_datadir}/planner/ui/html-plugin.ui
%{_datadir}/planner/ui/xml-planner-plugin.ui
%{_datadir}/planner/ui/main-window.ui
%{_datadir}/planner/ui/msp-plugin.ui
%{_datadir}/planner/ui/task-view.ui
%{_datadir}/planner/ui/sql-plugin.ui
%{_datadir}/planner/dtd
%{_datadir}/planner/stylesheets
%dir %{_datadir}/planner/images/
%{_datadir}/planner/images/*
%dir %{_datadir}/planner/sql/
%{_datadir}/planner/sql/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/libplanner
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files python
%defattr(-,root,root)
%{py_platsitedir}/*
%{_libdir}/planner/plugins/libpython-plugin.so

%if %{build_gda}
%files database
%defattr(-,root,root)
%doc docs/sql/README.sql
%{_libdir}/planner/storage-modules/libstorage-sql.so
%{_libdir}/planner/plugins/libsql-plugin.so
%{_datadir}/planner/glade/sql.glade
%{_datadir}/planner/ui/sql-plugin.ui
%{_datadir}/planner/sql
%endif

%files evolution
%defattr(-,root,root)
%{_libdir}/evolution-data-server-1.2/extensions/*
%{_libdir}/evolution/*/plugins/*
%{_libdir}/planner/plugins/libeds-plugin.so

%changelog
* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 0.14-5mdv2007.0
- fix mime type (bug 25544)

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 0.14-4mdv2007.0
- spec fixes
- from Pascal Terjan <pterjan@mandriva.org>
 - Re-enable my patch fixing i18n and fix it
 - Fix a very old typo in %%install

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-3mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-2mdv2007.0
- Rebuild with latest evolution

* Mon Jul 03 2006 Jerome Soyer <saispo@mandriva.org> 0.14-1mdv2007.0
- New release 0.14
- Disable database for now
- Rediff patch for Evolution 
- XDG Menu

* Tue May 30 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-8mdv2007.0
- Fix preun script (Mdk bug #22625)

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-7mdk
- Regenerate patch1 for latest eds

* Mon Mar 27 2006 Jerome Soyer <saispo@mandriva.org> 0.13-6mdk
- Rebuild with the new gnome-db

* Sun Feb 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.13-5mdk
- add BuildRequires: intltool evolution-data-server-devel

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 0.13-4mdk
- buildrequires gtk-doc and evolution-devel
- fix po/Makefile.in.in to not lose CATALOG= line (P3)
- fix files listed twice
- move plugins to the appropriate subpackages

* Wed Feb 15 2006 Jerome Soyer <saispo@mandriva.org> 0.13-3mdk
- rebuild with new gnome-db
- add patches

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdk
- rebuilt against openssl-0.9.8a

* Thu Jul 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.13-1mdk
- Release 0.13
- remove files which should have not been packaged

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12.1-7mdk
- package missing files

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-6mdk 
- Rebuild with latest howl

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.12.1-5mdk
- add BuildRequires: pygtk2.0-devel

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-4mdk 
- Rebuild with latest gda

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.1-3mdk
- fix buildrequires
- fix summary-ended-with-dot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.12.1-2mdk
- Rebuild for new  python

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild with new menu structure

* Fri Jul  9 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- New release 0.12
- Remove patches 0, 1 (no longer needed), 2 (merged upstream)

* Thu Jun 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Patch0 (CVS): fix name of icon for window
- enable back libtoolize
- Move back aclocal and automake in %prep, they should remain there

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-3mdk
- run aclocal before automake and do them both in %%build, not %%prep

* Fri Jan 02 2004 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Planner is new name for MrProject
- Release 0.11
- Patch0 : fix compilation of postgreqsl support
- Patch1 : fix library soname

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- Remove patch0 (merged upstream)

* Thu Oct 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-5mdk
- Patch0 (CVS): Fix crash in gantt view (Mdk bug #6217)

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-4mdk
- Fix BuildRequires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-2mdk
- Fix BuildRequires

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-1mdk
- Release 0.9.1

* Tue Feb 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Recompiled against latest openssl
- Enable startup_notify
- Generate yelp cache

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Remove patch0 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-2mdk
- Patch0 (CVS): close project property dialog when pressing close button

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-1mdk
- Release 0.5.93

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.92-1mdk
- Release 0.5.92 (GNOME2)

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-3mdk
- BuildRequires
- Rebuild with libgal19

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5.0-2mdk
- Fix menu entry
- Add missing files

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0
- Switch to implicit dependencies

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-2mdk
- Recompiled against latest gal

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1
- Patch0: fix compilation with latest bonobo

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0
- Compiled against libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2
- add menu entry

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Recompiled against latest gal

* Wed Jul 07 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-2mdk
- RPM Sucks (now all files are there)
- Changed Copyright to License

* Fri Jun 29 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-1mdk
- Stole spec from RH
